WordPress.org

Ready to get started?Download WordPress

Forums

TinyMCE editor inserting links not working (3 posts)

  1. Wouter125
    Member
    Posted 10 months ago #

    Hi all,

    I recently updated to wordpress 3.6 and everything is working like a charm except for one little that my customer needs. Inserting links... When i run the command i get this javascript error:

    Uncaught TypeError: Object [object Object] has no method 'wpdialog' wp-tinymce.php?c=1&ver=358-24485:24
    tinymce.create.open wp-tinymce.php?c=1&ver=358-24485:24
    i.(anonymous function).(anonymous function) wp-tinymce.php?c=1&ver=358-24485:2
    (anonymous function) wp-tinymce.php?c=1&ver=358-24485:32
    k.create.execCommand wp-tinymce.php?c=1&ver=358-24485:2
    i.onclick wp-tinymce.php?c=1&ver=358-24485:2
    (anonymous function) wp-tinymce.php?c=1&ver=358-24485:2
    j wp-tinymce.php?c=1&ver=358-24485:2
    y

    And by the way ive already disabled all my plugins so there isnt a problem in one of them. No idea where it went wrong so I hope someone can help me out with that. It seems like a small type error.

    Greets,

    Wouter

  2. Wouter125
    Member
    Posted 10 months ago #

    That code part is a bit messed up. here is a better version:

    Uncaught TypeError: Object [object Object] has no method 'wpdialog'
    tinymce.create.open
    i.(anonymous function).(anonymous function)
    (anonymous function)
    k.create.execCommand
    i.onclick
    (anonymous function)
    j
    y

    and this is behind every line
    wp-tinymce.php?c=1&ver=358-24485:24

  3. eliddon
    Member
    Posted 10 months ago #

    I had the same issue when using the tinymce editor on the front end. The latest version of WordPress is using an updated Jquery and Jquery-ui.

    I was loading a later version of jquery & jquery-ui since I required it for some plugins. In doing so I was deregistering "jquery-ui-core" on the front end, and registering my own version so I could use some other stuff. This didn't have an issue, but it appears tinymce would try to load its js plugins with a dependency on the existing jquery-ui-core (or others that depended on it).

    Check your theme to see if it has used wp_deregister_script() anywhere, and check if it is deregistering any of the jquery-ui js libraries.

    I'd also check to make sure jquery or jquery-ui is not being loaded twice as that may also cause some issues similar to this.

    If you check out your code markup on your page, check to see what scripts wp-load-scripts.php is loading if you are missing any of the following I would assume your issue is either a conflict with versions or dependency not loading.

    editor
    jquery-ui-core
    jquery-ui-widget
    jquery-ui-resizable
    jquery-ui-draggable
    jquery-ui-button
    jquery-ui-position
    jquery-ui-dialog
    wpdialogs
    wplink
    wpdialogs-popup

    It most likely is loading more, but I would start with those to see if they are there.

    You could try using wp_enqueue_script() to register them as well if they aren't there. If you are in the Admin panel though this should be loaded automatically if you are in an edit or create post/page. Even on the front end most of the stuff loads automatically when you load a tinymce from wp_editor()

    Hope this helps you fix your issue.

Reply

You must log in to post.

About this Topic